GET /repos/{owner}/{repo}/rulesets/rule-suites

github.com:github-rest-api

Summary: List repository rule suites
Operation ID: repos/get-repo-rule-suites
Auth: bearer_token
Description

Lists suites of rule evaluations at the repository level. For more information, see "[Managing rulesets for a repository](https://docs.github.com/repositories/configuring-branches-and-merges-in-your-repository/managing-rulesets/managing-rulesets-for-a-repository#viewing-insights-for-rulesets)."

Parameters (8)

actor_name (string, query, optional)

The handle for the GitHub user account to filter on. When specified, only rule evaluations triggered by this actor will be returned.

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

ref (string, query, optional)

The name of the ref. Cannot contain wildcard characters. Optionally prefix with `refs/heads/` to limit to branches or `refs/tags/` to limit to tags. Omit the prefix to search across all refs. When specified, only rule evaluations triggered for this ref will be returned.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

rule_suite_result (string, query, optional, default: all)

The rule suite results to filter on. When specified, only suites with this result will be returned.

Constraints: {'enum': ['pass', 'fail', 'bypass', 'all']}

time_period (string, query, optional, default: day)

The time period to filter by. For example, `day` will filter for rule suites that occurred in the past 24 hours, and `week` will filter for rule suites that occurred in the past 7 days (168 hours).

Constraints: {'enum': ['hour', 'day', 'week', 'month']}

No probe data for this endpoint yet.